<a name="menu" href="/doc">返回主目录</a>
1. [四要素诊断](#uploadBusiness)
2. [人工评估-开始入职评估](#manualEvaluation)
3. [个人中心-诊断列表](#diagnosisInfo)
4. [个人中心-企业信息](#enterpriseInfo)
5. [需求列表](#getNeedListUser)
6. [需求详情](#getNeedDetail)

## **<a name="uploadBusiness"> 四要素诊断</a>**
[返回到目录](#menu)
##### URL
[/web/zzzd/zzzd/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：uploadBusiness
``` javascript
    {
        picUrl: "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg", //营业执照地址
        identityCardNo: "1102241996xxxxxxxxxxx", //身份证号
    }
```

#### 返回结果
``` javascript
    不通过
    {
        "status": -1,
        "msg": "审核不通过，原因:营业执照分析失败",
        "data": null,
        "bizmsg": "empty",
        "requestId": "7ac5b432225d43c58e78dcc630518fdd"
    }
    通过
    {
        "status": 0,
        "msg": "success",
        "data": null,
        "requestId": "837ea5c284074d568fa198f7f259088a"
    }
```

## **<a name="manualEvaluation"> 人工评估-开始入驻评估</a>**
[返回到目录](#menu)
##### URL
[/web/zzzd/zzzd/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：manualEvaluation
``` javascript
    {
        "enterprise": "企业名称",
        "mobile": "联系电话",
        "corporateType": "店铺类型 电商诊断：qi旗舰店qjd/专卖店zmd/直营店zyd，直播诊断：企业qy/个体工商户gtgsh/民办非企业mbfqy/法律服务flfw",
        "diagnosisType": "诊断类型 直播/电商 zb/ds",
        "mainClass": ["一级-二级","一级-二级"]"主营类目",
        基础资质 如果非必填的资质未上传，则picUrl给""即可
        "qualificationsPic":[{
            "picName": "营业执照",
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }],
        品牌资质
        "brandPic":[{
            "picName": "营业执照",
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }],
        行业资质
        "industryPic":[{
            "picName": "营业执照",
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        },{
            "picName": "所有所需资质名称",
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com//zc_958415948076283422020615.jpg"
        }]
    }
```

#### 返回结果
``` javascript
    {
        "status": -5005,
        "msg": "诊断类型不能为空",
        "data": null,
        "requestId": "4a19931c4f9e4d2c8c0a203407de46f5"
    }
    {
        "status": 0,
        "msg": "success",
        "data": null,
        "requestId": "837ea5c284074d568fa198f7f259088a"
    }
```

## **<a name="diagnosisInfo"> 个人中心-诊断列表</a>**
[返回到目录](#menu)
##### URL
[/web/zzzd/zzzd/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：diagnosisInfo
``` javascript
    {
        条件
        "diagnosisNo": "申请编号",
        "mobile": "诊断类型",
        "publishName": "联系人",
        "publishMobile": "联系电话",
        "createdAt": "时间条件",
        "startTime": "2020-08-11",
        "entTime": "2020-08-11",
        "corporate_type": "店铺类型 给中文即可",
    }
```

#### 返回结果
``` javascript
    // 等待填写
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 11,
            "rows": [
                {
                    "diagnosis_no": "N202008121159HM3GJ89",
                    "corporate_name": "1",
                    "publish_mobile": "14444444444",
                    "diagnosis_type_name": "直播",
                    "diagnosis_mode_name": "智能评估",
                    "diagnosis_result_name": "未通过",
                    "updated_at": "2020-08-12T03:59:35.000Z"
                },
                    {
                    "diagnosis_no": "N202008121159HM3GJ89",
                    "corporate_name": "1",
                    "publish_mobile": "14444444444",
                    "diagnosis_type_name": "直播",
                    "diagnosis_mode_name": "智能评估",
                    "diagnosis_result_name": "未通过",
                    "updated_at": "2020-08-12T03:59:35.000Z"
                },
            ]
        },
        "requestId": "6934d3c04d744bfa900c9c929b08dd7b"
    }
```

## **<a name="enterpriseInfo"> 个人中心-企业信息</a>**
[返回到目录](#menu)
##### URL
[/web/zzzd/zzzd/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：enterpriseInfo
``` javascript
    {}
```

#### 返回结果
``` javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": 10,
            "uapp_id": 22,
            "channel_user_id": "13911391996",
            "diagnosis_no": "N2020081211076qlz86H",
            "corporate_name": "林氏集团",
            "publish_name": null,
            "publish_mobile": "13911391996",
            "corporate_type": "qjd",
            "corporate_type_name": "旗舰店",
            "diagnosis_type": "zb",
            "diagnosis_type_name": "直播",
            "diagnosis_mode": "rg",
            "diagnosis_mode_name": "人工评估",
            "diagnosis_result": "wtg",
            "diagnosis_result_name": "未通过",
            "diagnosis_result_data": null,
            "status_name": "已完成",
            "qualifications_pic": null,
            "brand_pic": null,
            "industry_pic": null,
            "notes": null,
            "status": "ywc",
            "created_at": "2020-08-12T03:07:27.000Z",
            "updated_at": "2020-08-12T05:56:09.000Z",
            "deleted_at": null,
            "version": 0
        },
        "requestId": "2208af94126f4c168659947dc8bd4feb"
    }
```

## **<a name="getNeedListUser"> 需求列表</a>**
[返回到目录](#menu)
##### URL
[/web/zzzd/zzzd/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：enterpriseInfo
``` javascript
    {
        "status": "状态", // 目前枚举和原型不同 不建议筛选
        "needNo": "", // 需求单号
        "publishName": "", // 联系人姓名
        "publishMobile": "", // 联系人电话
        "updatedAt": [], // 更新时间 两个日期
        "pageNo": 1, // 页数
        "pageSize": 10 // 每页条数
    }
```

#### 返回结果
``` javascript
    // 等待填写
    {
  "status": 0,
  "msg": "success",
  "data": {
    "count": 13,
    "rows": [
      {
        "id": 2844,
        "uapp_id": 22,
        "channelNeedNo": "N202008111821nf9oKFf",  // 渠道需求号
        "needNo": "N202008111821nf9oKFf", // 需求号
        "channelUserId": "13911391996", // 渠道用户id
        "publishName": "", // 公司名称
        "publisherOnlyCode": null, 
        "publishContent": "公司注册 - ",
        "publishMobile": "13911391996", // 联系人电话
        "followManUserId": null,
        "followManName": null,
        "followManMobile": null,
        "followManOnlyCode": null,
        "followContent": null,
        "productOneType_id": null,
        "productType_id": null,
        "notes": null,
        "disposeNotes": null,
        "statusName": "未推送", // 需求状态
        "status": "wts",
        "city": "北京市-北京市-大兴区",
        "province": null,
        "typeCode": "gszc", // 需求类型
        "typeName": "公司注册", // 需求类型名称
        "channelTypeCode": "gszc",
        "channelTypeName": "公司注册",
        "created_at": "2020-08-11T10:21:38.000Z",
        "updated_at": "2020-08-11T10:21:38.000Z",
        "deleted_at": null,
        "version": 0
      },
    ]
  },
  "requestId": "b2146c22a68b4bd48dc2119b46e636d4"
}
```

## **<a name="getNeedDetail"> 需求详情</a>**
[返回到目录](#menu)
##### URL
[/web/zzzd/zzzd/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：enterpriseInfo
``` javascript
    {
        "needNo": "", // 需求单号
    }
```

#### 返回结果
``` javascript
{
  "status": 0,
  "msg": "success",
  "data": {
    "id": 2844,
        "uapp_id": 22,
        "channelNeedNo": "N202008111821nf9oKFf",  // 渠道需求号
        "needNo": "N202008111821nf9oKFf", // 需求号
        "channelUserId": "13911391996", // 渠道用户id
        "publishName": "", // 公司名称
        "publisherOnlyCode": null, 
        "publishContent": "公司注册 - ",
        "publishMobile": "13911391996", // 联系人电话
        "followManUserId": null,
        "followManName": null,
        "followManMobile": null,
        "followManOnlyCode": null,
        "followContent": null,
        "productOneType_id": null,
        "productType_id": null,
        "notes": null,
        "disposeNotes": null,
        "statusName": "未推送", // 需求状态
        "status": "wts",
        "city": "北京市-北京市-大兴区",
        "province": null,
        "typeCode": "gszc", // 需求类型
        "typeName": "公司注册", // 需求类型名称
        "channelTypeCode": "gszc",
        "channelTypeName": "公司注册",
        "created_at": "2020-08-11T10:21:38.000Z",
        "updated_at": "2020-08-11T10:21:38.000Z",
        "deleted_at": null,
        "version": 0
  },
  "requestId": "9032ccf593894627849eb401ebf4f51b"
}
```